# Fab Electronics Library for KiCad

This library (should) cover all the electronics components found in the official [fab inventory](http://fab.cba.mit.edu/about/fab/inv.html). Using this library should also make it easier to share KiCad project files between Mac, Windows and Linux systems. 

## Installation

1. Clone or download this repository.
2. Store it in a safe place such as `~/kicad/libraries` or `C:/kicad/libraries`.
3. Run KiCad or open a KiCad `.pro` file.
4. Go to "Preferences / Manage Symbol Libraries" and add `fab.lib` as symbol library.
5. Go to "Preferences / Manage Footprint Libraries" and add `fab.pretty` as footprint library.

## On-Going TODO

**Check symbols and remove duplicates**

- [x] Resistor
- [x] Potentiometer
- [x] Capacitor
- [x] Choke coil, inductor
- [x] Diode
- [x] Transistor (MOSFET's)
- [x] H-Bridge motor drivers
- [x] Tripple H-Bridge motor drivers
- [x] Stepper motor drivers
- [ ] Regulators
- [ ] Charge controllers
- [x] Amplifiers
- [x] LEDs
- [ ] Photodetectors
- [x] Speakers and mics
- [x] Temperature sensors
- [ ] Hall-Effect sensors
- [ ] Accelerometer
- [ ] Pressure sensors
- [x] Op-Amp
- [ ] Microcontrollers
- [ ] Prog logic chips
- [ ] Radios
- [ ] Crystals
- [x] Buttons and switches
- [ ] Magnets
- [ ] Connectors
- [ ] Jacks and plugs
- [ ] Battery holders
- [ ] USB chips and connectors
- [x] SD card socket

## Contributing

Please refer to the [CONTRIBUTING](CONTRIBUTING.md) document. Run `test.py` locally before `git push`.

## License

Please refer to the [LICENSE](LICENSE) document located in this repository. 
